Premium Antivirus service fails to start: Plesk authorization failed: HTTP request error

Follow

Comments

9 comments

  • Dear Plesk

    Is there a timeframe when drweb uses latest TLS protocols?

    Best regards

  • Avatar
    Ivan Postnikov

    Hello @Erich,

    Thank you for the question.

    The support request was created to address your question, expect an update there.

  • Avatar
    Ivan Postnikov (Edited )

    Hi @Jan,

    Thank you for the idea, the article will be reviewed.

    UPD: the links are actualized.

  • Avatar
    b_p

    @Ivan: This error was reported at least two years ago. It is really a pity that this is not yet solved. Especially for security-centered companies, it is not acceptable that they still rely on TLSv1!

  • Avatar
    Ivan Postnikov

    Hello @b_p,

    Thank you for the feedback. According to the information I have, such connection required only if no valid license for Dr. Web is installed. With valid license TLS 1.0 may be disabled.

    This article will be reviewed.

     

  • Avatar
    Jan Bludau

    TLSv2 would be nicer, better the new TLSv3

  • Avatar
    Dr. Koontz

    @Ivan,

    You said:

    • "According to the information I have, such connection required only if no valid license for Dr. Web is installed. With valid license TLS 1.0 may be disabled."

    I have a server with Plesk Web Host Edition installed that does not have more than 14 email accounts. According to the article below the email accounts can use Plesk Premium Antivirus.

    https://support.plesk.com/hc/en-us/articles/213941465-Premium-Antivirus-free-usage-limitation

    • "Premium Antivirus is the default mail antivirus program shipped with Plesk. If an additional license key for Premium Antivirus is not added to the Plesk license key, only 14 mail accounts are protected.
    • Plesk allows to enable spam protection for any mail account, but only for the first 14 mail accounts. This is the limitation of the free version of Premium Antivirus."

    Since this particular server is not using more than 14 email addresses it does not need an additional license for Plesk Premium Antivirus. So while it does not have an additional license just for Plesk Premium Antivirus, it can still use it, but is unable to when TLS v1.0 is disabled.

    Are you suggesting the only way to NOT use TLS v1.0 when using Plesk Premium Antivirus is to purchase an additional license for it, despite the fact the server's license allows for up to 14 email accounts to be used with it, and that a server may not need a license for more than 14 email accounts?

  • Avatar
    Ivan Postnikov

    Hello @Dr. Koontz,

    Thank you for the good point.

    Until this gets fixed, yes, without a paid license the option is to use the workaround with enabling TLSv1.

Please sign in to leave a comment.

Have more questions? Submit a request